# TODO: encryption: TPLAT-11397, MOSAIC20-2275

locals {
  cloudwatch_logs_glue_prefix = "/aws-glue/jobs"
  cloudwatch_logs_role_prefix = "${local.cloudwatch_logs_glue_prefix}/${aws_glue_security_configuration.nta_pop_filter.name}-role/${var.iam_role_name}"
  cloudwatch_retention        = tonumber(var.extra_environment.CLOUDWATCH_LOGS_RETENTION)
}

# tfsec:ignore:aws-cloudwatch-log-group-customer-key
resource "aws_cloudwatch_log_group" "all_logs" {
  # checkov:skip=CKV_AWS_158: Blocked by MOSAIC20-2275
  name              = "${local.cloudwatch_logs_glue_prefix}/logs-v2-${aws_glue_security_configuration.nta_pop_filter.name}"
  retention_in_days = local.cloudwatch_retention
  tags              = var.tags
}

# tfsec:ignore:aws-cloudwatch-log-group-customer-key
resource "aws_cloudwatch_log_group" "output_logs" {
  # checkov:skip=CKV_AWS_158: Blocked by MOSAIC20-2275
  name              = "${local.cloudwatch_logs_role_prefix}/output"
  retention_in_days = local.cloudwatch_retention
  tags              = var.tags
}

# tfsec:ignore:aws-cloudwatch-log-group-customer-key
resource "aws_cloudwatch_log_group" "error_logs" {
  # checkov:skip=CKV_AWS_158: Blocked by MOSAIC20-2275
  name              = "${local.cloudwatch_logs_role_prefix}/error"
  retention_in_days = local.cloudwatch_retention
  tags              = var.tags
}
